org.apache.tomcat.buildutil.translate

## Class BackportEnglish

- java.lang.Object
- - org.apache.tomcat.buildutil.translate.BackportBase
  - - org.apache.tomcat.buildutil.translate.BackportEnglish

-     public class BackportEnglish
      extends BackportBase

  Generates a set of English property files to back-port updates to a previous version. Where a key exists in the source and target versions the value is copied from the source to the target, overwriting the value in the target. The expectation is that the changes will be manually reviewed before committing them.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.buildutil.translate.BackportBase

      `sourceEnglish, sourceTranslations, storageDir, targetEnglish, targetRoot, targetTranslations`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackportEnglish(String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute()`
    `static void` | `main(String... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackportEnglish

          protected BackportEnglish(String[] args)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### main

          public static void main(String... args)
                           throws IOException

      Throws:
        `IOException`

    - #### execute

          protected void execute()
                          throws IOException

      Specified by:
        `execute` in class `BackportBase`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.